Subject: EARLY LEPS SIGHTINGS

From: Gary Fewless <[email-masked]>
Date: Tue, 21 Mar 1995 13:45:44 -0500

The first butterflies of the year of which I am aware in my part of the world
were two Milbert's Tortoise Shells in Kewaunee County, Wisconsin (about
Latitude 44 30') on March 14.  After a very mild winter we experienced record
high temperatures during early March, prompting this appearance.

Gary Fewless    [email-masked]